Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.jmx
Class RegistHttpAdaptorMBeanServlet

    java.lang.Object
      HttpServlet
          tle.framework.jmx.RegistHttpAdaptorMBeanServlet

    public class RegistHttpAdaptorMBeanServlet

extends HttpServlet

MX4J 2.0.1을 사용할 경우, MX4J가 제공하는 Http Adaptor를 MBean 컴포넌트로 등록해주는 서블릿. Http Adaptor를 통해서 틀 프레임워크에 등록된 컴포넌트를 원격으로 관리할 수 있게 된다.

웹 어플리케이션 구동시 자동으로 실행되도록 web.xml 파일에 추가해준다.

     <servlet>
         <servlet-name>RegistHttpAdaptor</servlet-name>
         <servlet-class>tle.framework.jmx.RegistHttpAdaptorMBeanServlet</servlet-class>
         <init-param>
             <param-name>port</param-name>
             <param-value>8088</param-value>
         </init-param>
         <init-param>
             <param-name>xslJar</param-name>
             <param-value>mx4j-tools.jar경로</param-value>
         </init-param>
         <init-param>
             <param-name>user</param-name>
             <param-value>admin</param-value>
         </init-param>
         <init-param>
             <param-name>password</param-name>
             <param-value>cvnet</param-value>
         </init-param>
         <load-on-startup>1</load-on-startup>
     </servlet>

각각의 초기화 파라미터는 다음과 같다.

- port - HttpAdaptor가 사용할 포트 번호.
- xslJar - MX4J가 제공하는 mx4j-tools.jar 파일의 경로
- user - HttpAdaptor가 제공하는 웹 페이지에 접근할 때 사용할 사용자 아이디
- password - HttpAdaptor가 제공하는 웹 페이지에 접근할 때 사용할 사용자 암호

xslJar 초기화 파라미터의 값은 TLEConfigPathUtil.replace() 메소드를 사용하여 변환된 뒤 사용된다.

Since:
  2.0
Author:
  최범균

Constructor Summary
`RegistHttpAdaptorMBeanServlet()`

Method Summary
`void` | `destroy()` 등록한 HttpAdaptor MBean을 제거한다.
`void` | `init(ServletConfig config)` HttpAdpator MBean을 등록한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistHttpAdaptorMBeanServlet

    public RegistHttpAdaptorMBeanServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  HttpAdpator MBean을 등록한다.

  Throws:
    `ServletException`
  See Also:
    `javax.servlet.Servlet#init(javax.servlet.ServletConfig)`

### destroy

    public void destroy()

  등록한 HttpAdaptor MBean을 제거한다.

  See Also:
    `javax.servlet.Servlet#destroy()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD